%define name nagios-plugins
%define version 1.4
%define rev %nil
%define release alt1
%define nagios_plugdir /usr/lib/nagios/plugins
%define nagios_usr nagios
%define nagios_grp nagios

Name: %name
Version: %version
Release: %release

Summary: Host/service/network monitoring plug-ins for Nagios(R)
Summary(ru_RU.KOI8-R):   (plug-ins) //  Nagios(R)
License: GPL
Group: Monitoring
URL: http://nagiosplug.sourceforge.net

Source0: %name-%version.tar.gz
Source1: notify_via_jabber

Patch0: %name-1.3.0-alt-perlfix.patch
Patch1: %name-1.4-beta1-alt-radius.patch
Patch2: %name-1.4-beta1-alt-warnings.patch
Patch3: %name-1.4-beta1-alt-pssintax.patch
Patch4: %name-1.4-alt-configure.patch


Patch11: %name-1.3.1-alt-configure.patch

Patch23: %name-1.3.1-alt-perl-syntax.patch
Patch24: %name-1.3.1-alt-buildfix.patch

%define _perl_lib_path %nagios_plugdir

PreReq: nagios-plugins-common
Requires: nagios-plugins-common iputils procps

# Automatically added by buildreq on Mon May 30 2005
BuildRequires: libMySQL-devel libldap-devel libpq-devel postgresql8.0-devel
BuildRequires: zlib-devel libssl-devel libradiusclient libradiusclient-devel
BuildRequires: perl-Math-BigInt perl-Net-SNMP

%description
Nagios is a program that will monitor hosts and services on your
network, and to email or page you when a problem arises or is
resolved. Nagios runs on a unix server as a background or daemon
process, intermittently running checks on various services that you
specify. The actual service checks are performed by separate "plugin"
programs which return the status of the checks to Nagios.

This package contains the basic plugins necessary for use with the
Nagios package.  This package should install cleanly on almost any
RPM-based system.

%package common
Summary: Common files for Nagios(R) plug-ins
Group: Monitoring
PreReq: nagios-daemon

%description common
Common files for Nagios(R) plugi-ins.


%package local
Summary: Nagios(R) plug-ins for checking local services and resources
Group: Monitoring
PreReq: nagios-plugins-common
Requires: procps

%description local
Nagios(R) plugi-ins for checking local services and resources.


%package network
Summary: Nagios(R) plug-ins for checking remote hosts and services
Group: Monitoring
PreReq: nagios-plugins-common
Requires: openssh-clients bind-utils fping iputils net-snmp-utils
%description network
Nagios(R) plugi-ins for checking remote hosts and services.


%package ldap
Summary: Nagios(R) plug-in for checking LDAP-server
Group: Monitoring
PreReq: nagios-plugins-common

%description ldap
Nagios(R) plugi-in for checking LDAP server.


%package mysql
Summary: Nagios(R) plug-in for checking MySQL server
Group: Monitoring
PreReq: nagios-plugins-common

%description mysql
Nagios(R) plugi-in for checking MySQL server.


%package pgsql
Summary: Nagios(R) plug-in for checking PostgreSQL server
Group: Monitoring
PreReq: nagios-plugins-common

%description pgsql
Nagios(R) plugi-in for checking PostgreSQL server.


%package radius
Summary: Nagios(R) plug-in for checking RADIUS server
Group: Monitoring
PreReq: nagios-plugins-common

%description radius
Nagios(R) plugi-in for checking RADIUS server.


%package perl
Summary: Nagios(R) plug-ins written in Perl language.
Group: Monitoring
PreReq: nagios-plugins-common
Requires: net-snmp-utils perl-Net-SNMP
Requires: sendmail-common ntpdate glibc-utils

%description perl
Variaous Nagios(R) plugi-ins, writen in Perl language.

%package samba
Summary: Nagios(R) samba plug-in written in Perl language.
Group: Monitoring
PreReq: nagios-plugins-common
Requires: samba-client
Requires: sendmail-common glibc-utils

%description samba
Samba Nagios(R) plug-in, writen in Perl language.

%package extra
Summary: Nagios(R) plug-ins which depend on the presence of other software
Group: Monitoring
PreReq: nagios-plugins-common
Requires: qstat lm_sensors

%description extra
This package contains plugins which use additional software libraries that
are not installed on all systems.

%prep
%setup -q -n %name-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
PATH=$PATH:/usr/sbin
autoreconf
%configure \
	--prefix=%nagios_plugdir \
	--libexecdir=%nagios_plugdir \
	--with-cgiurl=/nagios/cgi-bin \
	--with-nagios-user=%nagios_usr \
	--with-nagios-group=%nagios_grp \
	--without-ipv6

NPROCS=1
%make_build

%install
%__chmod 0644 command.cfg
%__make AM_INSTALL_PROGRAM_FLAGS="" DESTDIR=%buildroot install

# install contrib add-ons
%__mkdir_p %buildroot/%_docdir/%name-extra-%version/contrib
for i in `ls contrib/tarballs/*.gz`; do
 %__install -m 644 $i %buildroot/%_docdir/%name-extra-%version/contrib
done

pushd contrib
 /bin/tar -cvzf %buildroot/%_docdir/%name-extra-%version/contrib/contrib-misc.tar.gz \
  `find ./ -maxdepth 1 -type f -print0 | xargs -r0`
popd

%__install -m 644 contrib/README.TXT %buildroot/%_docdir/%name-extra-%version/contrib
%__install -m 644 %SOURCE1 %buildroot/%_docdir/%name-extra-%version/contrib

%files common
%dir %nagios_plugdir
#common files
%nagios_plugdir/negate
%nagios_plugdir/utils.sh
%nagios_plugdir/utils.pm
%nagios_plugdir/urlize

%files
%doc AUTHORS ChangeLog INSTALL NEWS README REQUIREMENTS command.cfg
%nagios_plugdir/check_icmp
%nagios_plugdir/check_ping
%nagios_plugdir/check_nagios
%nagios_plugdir/check_load
%nagios_plugdir/check_procs

%files local
%nagios_plugdir/check_disk
%nagios_plugdir/check_dummy
%nagios_plugdir/check_file_age
%nagios_plugdir/check_log
%nagios_plugdir/check_mrtg
%nagios_plugdir/check_mrtgtraf
%nagios_plugdir/check_swap
%nagios_plugdir/check_users

%files network
%nagios_plugdir/check_by_ssh
%nagios_plugdir/check_dig
%nagios_plugdir/check_dns
%nagios_plugdir/check_dhcp
%nagios_plugdir/check_fping
%nagios_plugdir/check_ftp
%nagios_plugdir/check_hpjd
%nagios_plugdir/check_http
%nagios_plugdir/check_imap
%nagios_plugdir/check_jabber
%nagios_plugdir/check_nntp
%nagios_plugdir/check_nntps
%nagios_plugdir/check_nt
%nagios_plugdir/check_nwstat
%nagios_plugdir/check_overcr
%nagios_plugdir/check_pop
%nagios_plugdir/check_real
%nagios_plugdir/check_simap
%nagios_plugdir/check_smtp
%nagios_plugdir/check_snmp
%nagios_plugdir/check_spop
%nagios_plugdir/check_ssh
%nagios_plugdir/check_tcp
%nagios_plugdir/check_time
%nagios_plugdir/check_udp
%nagios_plugdir/check_udp2
%nagios_plugdir/check_ups

%files ldap
%nagios_plugdir/check_ldap
%nagios_plugdir/check_ldaps

%files mysql
%nagios_plugdir/check_mysql

%files pgsql
%nagios_plugdir/check_pgsql

%files radius
%nagios_plugdir/check_radius

%files samba
%nagios_plugdir/check_disk_smb

%files perl
%nagios_plugdir/check_breeze
%nagios_plugdir/check_ifoperstatus
%nagios_plugdir/check_ifstatus
%nagios_plugdir/check_ircd
%nagios_plugdir/check_mailq
%nagios_plugdir/check_ntp
%nagios_plugdir/check_rpc
%nagios_plugdir/check_wave

%files extra
%nagios_plugdir/check_flexlm
%nagios_plugdir/check_game
%nagios_plugdir/check_oracle
%nagios_plugdir/check_sensors
%dir %_docdir/%name-extra-%version
%_docdir/%name-extra-%version/*

%changelog
* Mon May 30 2005 Dmitry Lebkov <dlebkov@altlinux.ru> 1.4-alt1
- 1.4 release
- subpackages reordering

* Sat Jan 08 2005 Dmitry Lebkov <dlebkov@altlinux.ru> 1.4-alt0.beta1.1
- new beta

* Sat Nov 13 2004 ALT QA Team Robot <qa-robot@altlinux.org> 1.3.1-alt5.1.1
- Rebuilt with openldap-2.2.18-alt3.

* Wed May 12 2004 ALT QA Team Robot <qa-robot@altlinux.org> 1.3.1-alt5.1
- Rebuilt with openssl-0.9.7d.

* Wed Mar 10 2004 Denis Smirnov <mithraen@altlinux.ru> 1.3.1-alt5
- move smb support to nagios-plugins-samba

* Wed Dec 17 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 1.3.1-alt4
- nagios-plugins-radius: real rebuild with new libradiusclient

* Wed Oct 29 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 1.3.1-alt3
- nagios-plugins-radius: rebuild with new libradiusclient

* Wed Oct 01 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 1.3.1-alt2
- spec-file fixes

* Mon Sep 01 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 1.3.1-alt1
- new version released -- 1.3.1
- nagios-plugins-perl requires changed from
  samba-client to samba3-client.
- nagios-plugins-extra: many contributed scripts placed
  into /usr/share/doc/nagios-plugins-extra/contrib

* Thu Jul 03 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 1.3.0-alt5
- spec-file fixes

* Sat Apr 05 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 1.3.0-alt4
- fix more checks in the configure.in file

* Thu Apr 03 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 1.3.0-alt3
- fix checks in the configure.in file

* Tue Apr 01 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 1.3.0-alt2
- fix 'BuildRequires' section

* Sun Mar 30 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 1.3.0-alt1
- split nagios-plugins package into the small pices, according
  to plug-ins functionality and dependencies

* Mon Mar 17 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 1.3.0-alt0.2
- new version released -- 1.3.0

* Wed Jan 22 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 1.3.0-alt0.1beta2
- inital build for ALT Linux
